[arch-commits] Commit in gtk-doc/repos/extra-any (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Thu May 9 22:32:05 UTC 2019


    Date: Thursday, May 9, 2019 @ 22:32:05
  Author: heftig
Revision: 352799

archrelease: copy trunk to extra-any

Added:
  gtk-doc/repos/extra-any/PKGBUILD
    (from rev 352798, gtk-doc/trunk/PKGBUILD)
Deleted:
  gtk-doc/repos/extra-any/PKGBUILD

----------+
 PKGBUILD |   84 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 40 insertions(+), 44 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-09 22:30:32 UTC (rev 352798)
+++ PKGBUILD	2019-05-09 22:32:05 UTC (rev 352799)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gtk-doc
-pkgver=1.29
-pkgrel=1
-pkgdesc="Documentation tool for public library API"
-url="https://www.gtk.org/gtk-doc/"
-arch=(any)
-license=(GPL FDL)
-depends=(docbook-xsl docbook-xml source-highlight glib2-docs python-lxml
-         python-pygments python-anytree)
-makedepends=(dblatex git yelp-tools)
-checkdepends=(bc gtk3 python-six)
-optdepends=('dblatex: PDF support')
-_commit=7db567e83fe5d2d0659560c6dfb25ee27b338140  # tags/GTK_DOC_1_29^0
-source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr --disable-static
-  make
-}
-
-check() {
-  cd $pkgname
-  make check
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gtk-doc/repos/extra-any/PKGBUILD (from rev 352798, gtk-doc/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-05-09 22:32:05 UTC (rev 352799)
@@ -0,0 +1,40 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gtk-doc
+pkgver=1.30+1+g44c5972
+pkgrel=1
+pkgdesc="Documentation tool for public library API"
+url="https://www.gtk.org/gtk-doc/"
+arch=(any)
+license=(GPL FDL)
+depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
+         python-anytree)
+makedepends=(dblatex git yelp-tools meson)
+checkdepends=(bc gtk3 python-six python-parameterized)
+optdepends=('dblatex: PDF support')
+_commit=44c5972b167176f15cc32fc46743b596b7f00fe5  # master~2
+source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # Tests don't work yet
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}


More information about the arch-commits mailing list